## org.mortbay.xml
Class XmlParser.Node

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--org.mortbay.xml.XmlParser.Node

All Implemented Interfaces:
  java.util.Collection, java.util.List

Enclosing class:
  XmlParser

public static class XmlParser.Node
extends java.util.AbstractList

XML Node. Represents an XML element with optional attributes and ordered content.

Method Summary
`void` `add(int i, java.lang.Object o)`
`void` `clear()`
`java.lang.Object` `get(int i)` Get the ith child node or content.
`XmlParser.Node` `get(java.lang.String tag)` Get the first child node with the tag.
`java.lang.String` `getAttribute(java.lang.String name)` Get an element attribute.
`java.lang.String` `getAttribute(java.lang.String name, java.lang.String dft)` Get an element attribute.
`XmlParser.Attribute[]` `getAttributes()` Get an array of element attributes.
`XmlParser.Node` `getParent()`
`java.lang.String` `getString(java.lang.String tag, boolean tags, boolean trim)` Get a tag as a string.
`java.lang.String` `getTag()`
`java.util.Iterator` `iterator(java.lang.String tag)` Iterator over named child nodes.
`int` `size()` Get the number of children nodes.
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean tag)` Convert to a string.
`java.lang.String` `toString(boolean tag, boolean trim)` Convert to a string.

Methods inherited from class java.util.AbstractList
`add, addAll, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Method Detail

### getParent

    public XmlParser.Node getParent()

### getTag

    public java.lang.String getTag()

### getAttributes

    public XmlParser.Attribute[] getAttributes()

  Get an array of element attributes.

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Get an element attribute.

  Returns:
    attribute or null.

### getAttribute

    public java.lang.String getAttribute(java.lang.String name,
                                         java.lang.String dft)

  Get an element attribute.

  Returns:
    attribute or null.

### size

    public int size()

  Get the number of children nodes.

  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### get

    public java.lang.Object get(int i)

  Get the ith child node or content.

  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in class `java.util.AbstractList`
  Returns:
    Node or String.

### get

    public XmlParser.Node get(java.lang.String tag)

  Get the first child node with the tag.

  Parameters:
    `tag` -
  Returns:
    Node or null.

### add

    public void add(int i,
                    java.lang.Object o)

  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `java.util.AbstractList`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.List`
  Overrides:
    `clear` in class `java.util.AbstractList`

### getString

    public java.lang.String getString(java.lang.String tag,
                                      boolean tags,
                                      boolean trim)

  Get a tag as a string.

  Parameters:
    `tag` - The tag to get
    `tags` - IF true, tags are included in the value.
    `trim` - If true, trim the value.
  Returns:
    results of get(tag).toString(tags).

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection`

### toString

    public java.lang.String toString(boolean tag)

  Convert to a string.

  Parameters:
    `tag` - If false, only content is shown.

### toString

    public java.lang.String toString(boolean tag,
                                     boolean trim)

  Convert to a string.

  Parameters:
    `tag` - If false, only content is shown.

### iterator

    public java.util.Iterator iterator(java.lang.String tag)

  Iterator over named child nodes.

  Parameters:
    `tag` - The tag of the nodes.
  Returns:
    Iterator over all child nodes with the specified tag.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.